summaryrefslogtreecommitdiff
path: root/tests/cp/sparse
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/sparse')
-rwxr-xr-xtests/cp/sparse4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/sparse b/tests/cp/sparse
index f1633ae0e..a55202877 100755
--- a/tests/cp/sparse
+++ b/tests/cp/sparse
@@ -24,14 +24,14 @@ require_sparse_support_
# It has to be at least 128K in order to be sparse on some systems.
# Make its size one larger than 128K, in order to tickle the
# bug in coreutils-6.0.
-size=`expr 128 \* 1024 + 1`
+size=$(expr 128 \* 1024 + 1)
dd bs=1 seek=$size of=sparse < /dev/null 2> /dev/null || framework_failure_
cp --sparse=always sparse copy || fail=1
# Ensure that the copy has the same block count as the original.
-test `stat --printf %b copy` -le `stat --printf %b sparse` || fail=1
+test $(stat --printf %b copy) -le $(stat --printf %b sparse) || fail=1
# Ensure that --sparse={always,never} with --reflink fail.
cp --sparse=always --reflink sparse copy && fail=1